///////////////////////////////////////////////////////////////////////////////
//-----------------------------------------------------------------------------
//! \addtogroup	OAL
//! @{
//!
//  All rights reserved ADENEO SAS 2005
//!
//-----------------------------------------------------------------------------
//! \file		AT91SAM9263_oal_ioctl_tab.h 
//!
//! \brief		This file contains part of global IOCTL handler table for codes which must (or should) be implemented on all AT91SAM926x-based platforms. 
//!
//! This file is included by the platform's IOCTL table, g_oalIoCtlTable[].
//! Therefore, this file may ONLY define OAL_IOCTL_HANDLER entries. 
//!
//! \if subversion
//!   $URL: http://centaure/svn/interne-ce_bsp_atmel/TAGS/TAGS60/RC/SAM9263_v130_rc7/PLATFORM/COMMON/SRC/SOC/ATMEL/AT91SAM9263/INC/AT91SAM9263_oal_ioctl_tab.h $
//!   $Author: pgal $
//!   $Revision: 41 $
//!   $Date: 2007-01-17 15:15:30 +0100 (mer., 17 janv. 2007) $
//! \endif
//-----------------------------------------------------------------------------



//------------------------------------------------------------------------------
// IOCTL CODE,                          Flags   Handler Function
//------------------------------------------------------------------------------


//! @}

////////////////////////////////////////////////////////////////////////////////
// End of $URL: http://centaure/svn/interne-ce_bsp_atmel/TAGS/TAGS60/RC/SAM9263_v130_rc7/PLATFORM/COMMON/SRC/SOC/ATMEL/AT91SAM9263/INC/AT91SAM9263_oal_ioctl_tab.h $
////////////////////////////////////////////////////////////////////////////////
//