//-----------------------------------------------------------------------------
//! \addtogroup	MISC
//! @{
//
//  All rights reserved ADENEO SAS 2005
//! \file		atmel_gpio.h
//!
//! \brief		Header description
//!
//-----------------------------------------------------------------------------
//!
//! \if subversion
///   @URL: $URL: http://centaure/svn/interne-ce_bsp_atmel/TAGS/TAGS60/RC/SAM9263_v130_rc7/PLATFORM/COMMON/SRC/SOC/ATMEL/COMMON/INC/atmel_gpio.h $
//!   @author $Author: jjhiblot $
//!   @version $Revision: 1570 $
//!   @date $Date: 2007-12-05 11:40:54 +0100 (mer., 05 déc. 2007) $
//! \endif
//-----------------------------------------------------------------------------
//! \addtogroup	GPIO
//! @{

#ifndef __ATMEL_GPIO_H__
#define __ATMEL_GPIO_H__

#include <windows.h>

//------------------------------------------------------------------------------
//                                                                      Includes
//------------------------------------------------------------------------------
// Project includes
#include "atmel_gpio_struct.h"

//------------------------------------------------------------------------------
//                                                            Exported functions
//------------------------------------------------------------------------------

#ifdef __cplusplus
extern "C" {
#endif
/* pio_device_pio_setup: Configure PIO in periph mode according to the platform informations */
extern int pio_setup (const struct pio_desc *pio_desc, int nb_pio);
extern void pio_set_value (unsigned pin, int value);
extern int pio_get_value (unsigned pin);
extern int pio_get_configuration(unsigned pin);
extern DWORD pio_get_logintr(unsigned pin);
#ifdef __cplusplus
}
#endif


#endif /* __ATMEL_GPIO_H__*/
//! @}
//! @}
