///////////////////////////////////////////////////////////////////////////////
//-----------------------------------------------------------------------------
//! \addtogroup	SPI
//! @{
//!
//  All rights reserved ADENEO SAS 2005
//!
//-----------------------------------------------------------------------------
//! \file		atmel_spi.h
//!
//! \brief		Header for the board-specific SPI functions.
//!
//! \if subversion
//!   $URL: http://centaure/svn/interne-ce_bsp_atmel/TAGS/TAGS60/RC/SAM9263_v130_rc7/PLATFORM/COMMON/SRC/SOC/ATMEL/COMMON/INC/atmel_spi.h $
//!   $Author: jjhiblot $
//!   $Revision: 1619 $
//!   $Date: 2008-01-21 16:04:02 +0100 (lun., 21 janv. 2008) $
//! \endif
//-----------------------------------------------------------------------------


#ifndef ATMEL_SPI_H
#define ATMEL_SPI_H


//Platform specific (this is implemented in the BSP)
extern BOOL HWSPIControllerBoardSpecificPIOInitialization(DWORD dwDevID, WORD wCS);
extern BOOL HWSPIControllerBoardSpecificPIODeinitialization(DWORD dwDevID);

extern BOOL HWSPICSBoardSpecificPIOInitialization(DWORD dwPinNumber);
extern BOOL HWSPICSBoardSpecificPIODeinitialization();

extern BOOL HWSPIControllerBoardSpecificInit();
extern BOOL HWSPIControllerBoardSpecificGetBus(DWORD dwDevIndex);
extern BOOL HWSPIControllerBoardSpecificReleaseBus(DWORD dwDevIndex);

extern void HWSPIControllerBoardSpecificDeInit();

#endif // ATMEL_SPI_H

//! @}

////////////////////////////////////////////////////////////////////////////////
// End of $URL: http://centaure/svn/interne-ce_bsp_atmel/TAGS/TAGS60/RC/SAM9263_v130_rc7/PLATFORM/COMMON/SRC/SOC/ATMEL/COMMON/INC/atmel_spi.h $
////////////////////////////////////////////////////////////////////////////////
//
