//-----------------------------------------------------------------------------
//! \addtogroup AT91
//! @{
//
//  All rights reserved ADENEO SAS 2005
//
//! \file		atmel_global.h
//!
//! \if subversion
//!   $URL: http://centaure/svn/interne-ce_bsp_atmel/TAGS/TAGS60/RC/SAM9263_v130_rc7/PLATFORM/COMMON/SRC/SOC/ATMEL/COMMON/INC/atmel_global.h $
//!   $Author: amlimonet $
//!   $Revision: 763 $
//!   $Date: 2007-04-23 15:03:04 +0200 (lun., 23 avr. 2007) $
//! \endif
// 
//-----------------------------------------------------------------------------
#ifndef GLOBAL_H
#define GLOBAL_H

#include <windows.h>

#define SLOW_CLOCK_FREQUENCY    32768

typedef struct _PROC_INFO {
	WCHAR cManufacturer[16];
	WCHAR cCore[16];
	WCHAR cProcessor[32];
	WORD wCoreRevision;
	WORD wProcessorRevision;
	WCHAR cCatalogNumber[32];
	DWORD dwInstructionSet;
	DWORD dwClockSpeed;
} T_PROC_INFO, *PT_PROC_INFO;

#endif /// GLOBAL_H
//! @}
